| Home | Libraries | People | FAQ | More

##### reverse

###### Description

Returns the result type of `reverse`, given the input sequence type.

###### Synopsis

    template<
        typename Sequence
        >
    struct reverse
    {
        typedef unspecified type;
    };

Table 1.81. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Bidirectional Sequence | Operation's argument

###### Expression Semantics

    result_of::reverse<Sequence>::type

Return type: A model of Bidirectional Sequence.

Semantics: Returns a sequence with the elements in the reverse order to `Sequence`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/reverse.hpp>
    #include <boost/fusion/include/reverse.hpp>